import { jsx } from "react/jsx-runtime";
import { MapPinIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const MapPin = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "MapPin", ...props, children: /* @__PURE__ */ jsx(MapPinIcon, { weight: variant }) });
  }
);
MapPin.displayName = "MapPin";
Object.assign(MapPin, { isGdsIcon: true });
export {
  MapPin
};
